ALTER TABLE VENDA DROP CONSTRAINT CKC_IDORIGEMVENDA_VENDA
/

ALTER TABLE VENDA ADD CONSTRAINT CKC_IDORIGEMVENDA_VENDA CHECK (IDORIGEMVENDA IN
 ('BAL_FOS',
  'BAL_FNC',  
  'BAL_SAT',
  'BAL_AUT',  
  'BAL_BAN',    
  'MES_FOS',  
  'MES_FNC',
  'MES_SAT',
  'MES_MOB',  
  'MES_PKR',    
  'CMD_FOS',    
  'CMD_FNC',
  'CMD_SAT',
  'CMD_MOB',  
  'CMD_PKC',
  'CMD_MIC',    
  'DLV_FOS',
  'DLV_FNC',
  'DLV_SAT',
  'DLV_IFO',
  'DLV_PJA',
  'DLV_SIT',
  'DLV_CAL',
  'DLV_INT',   
  'SPS',     
  'FOS_MAN',    
  'AJU_FOS',    
  'VND_MAN',
  'VND_CAT',    
  'INDEFIN',
  'DLV_SPO',
  'DLV_TAA',
  'DLV_APP',
  'DLV_ADR',
  'DLV_IOS',
  'TGO_APP',
  'TGO_TAA',
  'BGR_APP',
  'BGR_TAA',
  'DLV_ABF',
  'DLV_ONY',
  'DLV_WZP',
  'DLV_YAN',
  'DLV_UBR',
  'DLV_RAP',
  'BAL_MOB',
  'CMD_THR',
  'BAL_APP',
  'BAL_TAA',
  'MES_APP',
  'MES_TAA',
  'DLV_NWB',
  'DLV_NAD',
  'DLV_NOS',
  'DLV_NMO',
  'DLV_NBT',
  'CMD_OGO',
  'DLV_SID'))
/

ALTER TABLE CAIXA DROP CONSTRAINT CKC_IDHABCAIXAVENDA
/

ALTER TABLE CAIXA ADD CONSTRAINT CKC_IDHABCAIXAVENDA
   CHECK (IDHABCAIXAVENDA IN ('POS','CMD','RES','FOS','PKC','PKR','TAA','FKB','CTL','CSE','EVB','TOT',
   'APC', 'CPE', 'TCO','CDE','SDE','CAT','APP','AAC','OGO'))
/

CREATE TABLE PARAMODHGO 
( 
	CDFILIAL            VARCHAR2(4)     NOT NULL,
	IDTPIDENTIFICACONS  VARCHAR(2)      NOT NULL,  
	IDVERSAOSUGERIDA    VARCHAR(5),               
    NRORG 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 			VARCHAR2(1) 	DEFAULT 'S' NOT NULL,
		CONSTRAINT CKC_IDATIVO_PARAMODHGO CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 			DATE 			NULL,
	DTULTATU 			DATE 			NULL,
	NRORGINCLUSAO 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 		VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 		VARCHAR2(12) 	DEFAULT '1'
)
/

 
ALTER TABLE CAIXA
  ADD (
      CDVERSAOOGO   VARCHAR(5), 
      DTULTCONEXAOOGO DATE,    
      IDCXATIVOOGO  VARCHAR(1) 
    )
/


CREATE TABLE ARQUIVOSOGO
( 
	CDARQUIVOOGO       	VARCHAR(5)    	NOT NULL, 
	DTARQUIVOOGO       	DATE          	NOT NULL, 
	CDFILIALORIGEM     	VARCHAR2(4)   	NOT NULL, 
    NRORG 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 			VARCHAR2(1) 	DEFAULT 'S' NOT NULL,
		CONSTRAINT CKC_IDATIVO_ARQUIVOSOGO CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO 			DATE 			NULL,
	DTULTATU 			DATE 			NULL,
	NRORGINCLUSAO 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 		VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 		VARCHAR2(12) 	DEFAULT '1'
)
/

ALTER TABLE PARAMGERAL ADD CDSENHAOGOSHA512 VARCHAR(200)